Package groovy.transform.options

# Enum Class Visibility

java.lang.Object
java.lang.Enum<Visibility>
groovy.transform.options.Visibility

All Implemented Interfaces:
  `Serializable`, `Comparable<Visibility>`, `Constable`

public enum Visibility extends Enum<Visibility>
Indicates the visibility of a node.

Since:
  2.5.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PACKAGE_PRIVATE`
  Package-private visibility.
  `PRIVATE`
  Private visibility.
  `PROTECTED`
  Protected visibility.
  `PUBLIC`
  Public visibility.
  `UNDEFINED`
  Marker indicating that no explicit visibility was requested.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getModifier()`
  Returns the JVM modifier flag for this visibility.
  `static Visibility`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Visibility[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PUBLIC

    public static final Visibility PUBLIC
    Public visibility.

  - ### PROTECTED

    public static final Visibility PROTECTED
    Protected visibility.

  - ### PACKAGE_PRIVATE

    public static final Visibility PACKAGE_PRIVATE
    Package-private visibility.

  - ### PRIVATE

    public static final Visibility PRIVATE
    Private visibility.

  - ### UNDEFINED

    public static final Visibility UNDEFINED
    Marker indicating that no explicit visibility was requested.

- ## Method Details

  - ### values

    public static Visibility[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Visibility valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getModifier

    public int getModifier()
    Returns the JVM modifier flag for this visibility.
    Returns:
      the modifier flag
    Throws:
      `UnsupportedOperationException` - if this value is `UNDEFINED`